Home page logo
/

fulldisclosure logo Full Disclosure mailing list archives

New XSS vulnerability in Yandex.Server
From: "MustLive" <mustlive () websecurity com ua>
Date: Mon, 21 May 2012 03:13:26 +0300

Hello list!

I want to warn you about new Cross-Site Scripting vulnerability in
Yandex.Server.

Earlier I've informed about other XSS in Yandex.Server (CVE-2007-3485) -
mentioned about them in my Month of Search Engines Bugs project. And in 2007
I've informed Yandex about them. Which should fix these vulnerabilities and
not allow new ones. But Yandex failed with it and last week, during another
pentest, I've found new Cross-Site Scripting vulnerability in
Yandex.Server - this time it's DOM Based XSS.

-------------------------
Affected products:
-------------------------

Vulnerable are Yandex.Server 2010 9.0 Enterprise and other versions.

----------
Details:
----------

XSS (WASC-08):

http://site/search/?text=%27);alert(document.cookie)//

Best wishes & regards,
MustLive
Administrator of Websecurity web site
http://websecurity.com.ua 


_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.grok.org.uk/full-disclosure-charter.html
Hosted and sponsored by Secunia - http://secunia.com/


  By Date           By Thread  

Current thread:
  • New XSS vulnerability in Yandex.Server MustLive (May 21)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault